PMC.TSC(3)

NAME
pmc.tsc - measurements using the i386 timestamp counter

LIBRARY
libpmc

SYNOPSIS
#include <pmc.h>

DESCRIPTION
In the i386 architecture, the timestamp counter is a monotonically non-decreasing counter that counts processor cycles.

This counter may be selected specifying an event specifier “tsc” to pmc_allocate(3). The TSC is a read-only counter that may only be allocated in system-wide counting mode. The “tsc” event does not support further event qualifiers.

Multiple processes are allowed to allocate the TSC. Once allocated, the TSC may be read using the pmc_read() function, or by using the RDTSC instruction.

  Event Name Aliases
The alias “cycles” maps to the TSC.

SEE ALSO
pmc(3), pmc.atom(3), pmc.core(3), pmc.core2(3), pmc.iaf(3), pmc.k7(3), pmc.k8(3), pmc.soft(3), pmclog(3), hwpmc(4)

HISTORY
The pmc library first appeared in FreeBSD 6.0.

AUTHORS
The libpmc library was written by Joseph Koshy <jkoshy@FreeBSD.org>.